> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md).

# Disable Force SSO on all users in Devolutions Cloud using PowerShell

Devolutions Cloud administrators might want to disable the option to Force SSO on all users. This can be done using an application identity and a simple PowerShell script.

1. In Devolutions Cloud, [create an application identity](https://docs.devolutions.net/cloud/web-interface/administration/management/application-users/manage-application-users/).
2. [Assign the ***Manage system configuration*** permission](https://docs.devolutions.net/cloud/web-interface/administration/configuration-security/system-permissions/) to the newly created application identity.
3. Use the following PowerShell script to disable ***Force SSO on all users*** option in Devolutions Cloud:

```
$url = 'YOUR_DEVOLUTIONS_CLOUD_URL'
$appSecret = 'INSERT_APP_SECRET';
$appKey = 'INSERT_APP_KEY';
Connect-HubAccount -Url $url -ApplicationKey $appKey -ApplicationSecret $appSecret

$psSystemSettings = Get-HubSystemSettings
$psSystemSettings.ForceSSOLogin = $false
Set-HubSystemSettings -PSSystemSettings $psSystemSettings

Write-Host "Force SSO has been disabled"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/devolutions-cloud-powershell/disable-force-sso-on-all-users-in-devolutions-cloud-using-powershell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
